Skip to main content
POST
/
api
/
v1
/
projects
Create a project
curl --request POST \
  --url https://api.melius.com/api/v1/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-team-id: <api-key>' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "isPublic": true,
  "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.melius.com/api/v1/projects"

payload = {
"title": "<string>",
"description": "<string>",
"isPublic": True,
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-team-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: '<string>',
description: '<string>',
isPublic: true,
folderId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};

fetch('https://api.melius.com/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "description": "<string>",
  "createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdByName": "<string>",
  "canvasId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "canvases": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "nodeCount": 123,
      "sortOrder": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "previewAssets": [
        {
          "url": "<string>",
          "thumbnailUrl": "<string>"
        }
      ]
    }
  ],
  "isPublic": true,
  "previewAssets": [
    {
      "url": "<string>",
      "thumbnailUrl": "<string>"
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "lastEditAt": "2023-11-07T05:31:56Z"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}
{
"message": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}

Authorizations

Authorization
string
header
required

A Melius API key (mel_...), sent as Authorization: Bearer <key>.

x-team-id
string
header
required

The team (workspace) to act on. Defaults to the key's team when omitted.

Body

application/json

Body

title
string
Required string length: 1 - 500
description
string
Maximum string length: 5000
isPublic
boolean
folderId
string<uuid> | null

Response

201

id
string<uuid>
required
teamId
string<uuid>
required
folderId
string<uuid> | null
required
title
string
required
description
string | null
required
createdByUserId
string<uuid> | null
required
createdByName
string | null
required
canvasId
string<uuid>
required
canvases
object[]
required
shareMode
enum<string>
required
Available options:
restricted,
view
isPublic
boolean
required
previewAssets
object[]
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
lastEditAt
string<date-time>
required
Last modified on July 9, 2026